<?php

namespace App\Models\Finance;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Delivery extends Eloquent {

	protected $table = 'delivery';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function lines()
	{
		return $this->morphMany('App\Models\Finance\Line', 'lineable');
	}

	public function customer()
	{
		return $this->belongsTo('App\Models\Person\Person', 'customer_id');
	}

	public function supplier()
	{
		return $this->belongsTo('App\Models\Person\Person', 'supplier_id');
	}

	public function order()
	{
		return $this->belongsTo('App\Models\Finance\Order', 'order_id');
	}

}